<template>
  <portal-page class="q-px-lg q-pb-xl">
    <div
      class="row"
      style="margin-top: 30px"
      :class="{ column: screenWidth <= 767, 'q-gutter-lg': screenWidth >= 768 }"
    >
      <div class="col">
        <basic-information-card />
        <upload-resume-card />
      </div>

      <div
        :class="{
          col: screenWidth <= 767,
          'col-9': screenWidth >= 900,
          'col-8': screenWidth >= 768 && screenWidth <= 899,
        }"
      >
        <education-card />
        <skills-card />
        <work-history-card />
        <training-and-certificates-card />
        <character-reference-card />
      </div>
    </div>
  </portal-page>
</template>

<script>
import PortalPage from "src/layouts/portals/PortalPage.vue";
import BasicInformationCard from "../components/cards/BasicInformationCard.vue";
import UploadResumeCard from "../components/cards/UploadResumeCard.vue";
import EducationCard from "../components/cards/EducationCard.vue";
import SkillsCard from "../components/cards/SkillsCard.vue";
import WorkHistoryCard from "../components/cards/WorkHistoryCard.vue";
import TrainingAndCertificatesCard from "../components/cards/TrainingAndCertificatesCard.vue";
import CharacterReferenceCard from "../components/cards/CharacterReferenceCard.vue";
import { defineComponent, ref } from "vue";
import { onMounted, onUnmounted } from "vue";

export default defineComponent({
  name: "MyProfilePage",
  components: {
    PortalPage,
    BasicInformationCard,
    UploadResumeCard,
    EducationCard,
    SkillsCard,
    WorkHistoryCard,
    TrainingAndCertificatesCard,
    CharacterReferenceCard,
  },

  setup() {
    const screenWidth = ref(0);

    onMounted(() => {
      window.addEventListener("resize", screenResize);
    });

    onUnmounted(() => {
      window.removeEventListener("resize", screenResize);
    });

    const screenResize = () => {
      screenWidth.value = window.innerWidth;
    };

    screenResize();
    return {
      screenResize,
      screenWidth,
    };
  },
});
</script>
